{% extends "common/html.html" %}
{% load i18n static %}
{# template for simple "static" pages, like tems&conditions, GDPR info etc. #}
{# header_bgd_color: e.g. #12345 to colorize the background of th header according to tenant's color scheme #}
{# nav_buttons: buttons/links in top right corner (header) #}
{# page_pretitle: pre title, rendered above the title, smaller #}
{# page_title: the title of the page #}
{# page_actions: block in right top corner ov page_header #}
{# content: self-explanatory #}
{# footer: footer content #}
{% block body %}
  <div class="page">
    <!-- Navbar -->
    <header class="navbar navbar-expand-md navbar-light d-print-none"
        {# TODO: default preferences color here... #}
            style="background-color:{% block header_bg_color %}{% endblock %};"
    >
      <div class="container-xl">
        <h1 class="navbar-brand navbar-brand-autodark d-none-navbar-horizontal pe-0 pe-md-3">
          {% block brand %}
            <a href=".">
              <img src="./static/logo.svg" alt="{{ globals.project_title }}" class="navbar-brand-image" width="110" height="32">
            </a>
          {% endblock %}
        </h1>
        <div class="navbar-nav flex-row order-md-last">
          <div class="nav-item d-none d-md-flex me-3">
            <div class="btn-list">
              {% block nav_buttons %}
              {% endblock %}
            </div>
          </div>
        </div>
      </div>
    </header>
    <div class="page-wrapper">
      <!-- Page header -->
      {% block page_header %}
        <div class="page-header d-print-none">
          <div class="container-xl">
            <div class="row g-2 align-items-center">
              <div class="col-12">
                <h2 class="page-title">
                  {% block page_title %}{% endblock %}
                </h2>
              </div>
            </div>
          </div>
        </div>
      {% endblock %}
      <!-- Page body -->
      <div class="page-body">
        <div class="container-xl">
          {% block content %}{% endblock %}
        </div>
      </div>

      <footer class="footer footer-transparent d-print-none">
        <div class="container-xl">
          {% block footer %}
            <div class="row text-center align-items-center flex-row-reverse">
              <div class="col-lg-auto ms-lg-auto">
                <ul class="list-inline list-inline-dots mb-0">
                  <li class="list-inline-item"><a href="{% url 'tenant:privacy' uuid=tenant.uuid %}" class="link-secondary">{% translate 'Privacy' %}</a></li>
                  <li class="list-inline-item"><a href="{% url 'tenant:terms' uuid=tenant.uuid %}" class="link-secondary">{% translate 'Terms' %}</a></li>
{#                  <li class="list-inline-item">#}
{#                    <a href="." target="_blank" class="link-secondary" rel="noopener">#}
{#                      <i class="bi bi-heart-fill text-red small"></i>#}
{#                      Sponsor#}
{#                    </a>#}
{#                  </li>#}
                </ul>
              </div>
              <div class="col-12 col-lg-auto mt-3 mt-lg-0">
                <ul class="list-inline list-inline-dots mb-0">
                  <li class="list-inline-item">
                    Copyright © {% now "Y" %}
                    <a href="https://nerdocs.at" class="link-secondary">nerdocs</a>
                  </li>
                  <li class="list-inline-item">
                    MedUX Online v{{ globals.version }}
                  </li>
                </ul>
              </div>
            </div>
          {% endblock %}

        </div>
      </footer>
    </div>
  </div>
{% endblock %}
